### Method

# AppStream Category set_id

#### Declaration [src]

    void
    as_category_set_id (
      AsCategory* category,
      const gchar* id
    )

#### Description [src]

Set the ID of this category.

Sets property | `AppStream.Category:id`

#### Parameters

`id`

  Type: `const gchar*`

  No description available.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.